libxvmc1_1.0.9-1ubuntu1_i386.deb


Advertisement

Description

libxvmc1 - X11 Video extension library

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main i386
Package filename libxvmc1_1.0.9-1ubuntu1_i386.deb
Package name libxvmc1
Package version 1.0.9
Package release 1ubuntu1
Package architecture i386
Package type deb
Category libs
Homepage -
License -
Maintainer Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
Download size 13.40 KB
Installed size 72.00 KB
libXvMC provides an X Window System client interface to the
XVideo-MotionCompensation extension to the X protocol.
The XVideo-MotionCompensation extension allows for further accelerated drawing
of videos.  Video data may be sent at earlier stages of the decoding pipeline
than raw YUV data.  At the moment, driver support for XvMC is poor to
non-existent.
More information about X.Org can be found at:
<URL:http://www.X.org>
This module can be found at
git://anongit.freedesktop.org/git/xorg/lib/libXvMC

Alternatives

Package Version Architecture Repository
libxvmc1_1.0.9-1ubuntu1_amd64.deb 1.0.9 amd64 Ubuntu Main
libxvmc1 - - -

Requires

Name Value
libc6 >= 2.4
libx11-6 >= 2:1.6.0
libxext6 -
x11-common -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libxvmc1_1.0.9-1ubuntu1_i386.deb
Source Package libxvmc

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libxvmc1 deb package:
    # sudo apt-get install libxvmc1

Files

Path
/usr/lib/i386-linux-gnu/libXvMC.so.1
/usr/lib/i386-linux-gnu/libXvMC.so.1.0.0
/usr/lib/i386-linux-gnu/libXvMCW.so.1
/usr/lib/i386-linux-gnu/libXvMCW.so.1.0.0
/usr/lib/xvmcconfig-standard/XvMCConfig
/usr/share/doc/libxvmc1/changelog.Debian.gz
/usr/share/doc/libxvmc1/copyright

Changelog

2015-07-14 - Robert Ancell <robert.ancell@canonical.com>
libxvmc (2:1.0.9-1ubuntu1) wily; urgency=medium
* Merge with Debian, remaining Ubuntu changes:
* debian/patches/01_support_alternatives.patch:
* debian/libxvmc1.install:
* debian/rules:
- Put XvMCConfig in usr/lib/xvmcconfig-standard.
- Make the library look for /lib/XvMCConfig (which will be
the link that alternatives will set).
2015-04-30 - Julien Cristau <jcristau@debian.org>
libxvmc (2:1.0.9-1) unstable; urgency=medium
* New upstream release.
* Let uscan verify tarball signatures.
* Bump Xlib build-dependency to 1.6.
2014-08-07 - Artur Rona <ari-tczew@ubuntu.com>
libxvmc (2:1.0.8-2ubuntu1) utopic; urgency=low
* Merge from Debian unstable.  Remaining changes:
- debian/patches/01_support_alternatives.patch,
debian/libxvmc1.install, debian/rules:
+ Put XvMCConfig in usr/lib/xvmcconfig-standard.
+ Make the library look for /lib/XvMCConfig (which will be
the link that alternatives will set).
2014-07-12 - Julien Cristau <jcristau@debian.org>
libxvmc (2:1.0.8-2) unstable; urgency=low
* Link libXvMCW.so against -ldl (closes: #610592)
* Remove Cyril from Uploaders.
2013-11-03 - Artur Rona <ari-tczew@tlen.pl>
libxvmc (2:1.0.8-1ubuntu1) trusty; urgency=low
* Merge from Debian unstable. (LP: #1247502) Remaining changes:
- debian/patches/01_support_alternatives.patch,
debian/libxvmc1.install, debian/rules:
+ Put XvMCConfig in usr/lib/xvmcconfig-standard.
+ Make the library look for /lib/XvMCConfig (which will be
the link that alternatives will set).
* Drop debian/patches/ld.gold.diff: not need anymore.
* Drop debian/patches/CVE* patches, both are fixed upstream.
* Re-apply mistakenly dropped delta in latest merge:
- debian/libxvmc1.install, debian/rules
2013-08-12 - Julien Cristau <jcristau@debian.org>
libxvmc (2:1.0.8-1) unstable; urgency=low
* New upstream release
- fixes CVE-2013-1990 and CVE-2013-1999
* Bump debhelper compat level to 7.
* Use dpkg-buildflags.
* Disable silent build rules.
* Replace dh_clean -k with dh_prep.
2013-06-09 - Emilio Pozuelo Monfort <pochu@debian.org>
libxvmc (2:1.0.7-2) unstable; urgency=low
* Team upload.
* Switch to Multi-Arch. Thanks Andreas Beckmann for the patch.
Closes: #640499.
* Bump Standards-Version to 3.9.4. No changes needed.
2013-06-05 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
libxvmc (2:1.0.7-1ubuntu2) saucy; urgency=low
* SECURITY UPDATE: denial of service and possible code execution via
incorrect memory size calculations
- debian/patches/CVE-2013-1990.patch: fix multiple integer overflows.
- CVE-2013-1990
* SECURITY UPDATE: denial of service and possible code execution via
incorrect length and bounds checking
- debian/patches/CVE-2013-1999.patch: properly handle lengths in
src/XvMC.c.
- CVE-2013-1999
2012-08-15 - Timo Aaltonen <tjaalton@ubuntu.com>
libxvmc (2:1.0.7-1ubuntu1) quantal; urgency=low
* Merge with Debian; remaining changes:
- debian/patches/01_support_alternatives.patch:
- Put XvMCConfig in usr/lib/xvmcconfig-standard.
- Make the library look for /lib/XvMCConfig (which will be the
link that alternatives will set).
- debian/patches/ld.gold.diff:
Resolve unresolved symbols in shared library
* refresh patches.
2012-04-24 - Julien Cristau <jcristau@debian.org>
libxvmc (2:1.0.7-1) unstable; urgency=low
[ Robert Hooker ]
* New upstream release.
* Bump xutils-dev build-dep for new macros.
[ Cyril Brulebois ]
* Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
good reason. Thanks, Colin Watson!
[ Julien Cristau ]
* Drop dh_testroot from debian/rules clean.
* Remove David and Andres from Uploaders.

See Also

Package Description
libxxf86dga-dev_1.1.4-1_i386.deb X11 Direct Graphics Access extension library (development headers)
libxxf86dga1_1.1.4-1_i386.deb X11 Direct Graphics Access extension library
libxxf86vm-dev_1.1.4-1_i386.deb X11 XFree86 video mode extension library (development headers)
libxxf86vm1_1.1.4-1_i386.deb X11 XFree86 video mode extension library
libyajl-dev_2.1.0-2_i386.deb Yet Another JSON Library - development files
libyajl-doc_2.1.0-2_all.deb Yet Another JSON Library - library documentation
libyajl2_2.1.0-2_i386.deb Yet Another JSON Library
libyaml-0-2_0.1.6-3_i386.deb Fast YAML 1.1 parser and emitter library
libyaml-dev_0.1.6-3_i386.deb Fast YAML 1.1 parser and emitter library (development)
libyaml-doc_0.1.6-3_all.deb Fast YAML 1.1 parser and emitter library (documentation)
libyaml-libyaml-perl_0.41-6build1_i386.deb Perl interface to libyaml, a YAML implementation
libyaml-perl_1.15-1_all.deb YAML Ain't Markup Language
libyaml-tiny-perl_1.69-1_all.deb Perl module for reading and writing YAML files
libyelp-dev_3.18.1-1ubuntu4_i386.deb Library for the GNOME help browser (development)
libyelp0_3.18.1-1ubuntu4_i386.deb Library for the GNOME help browser
Advertisement
Advertisement